Documentation Index

Fetch the complete documentation index at: https://help.gong.io/llms.txt

Use this file to discover all available pages before exploring further.

Retrieve logs data by type and time range (/v2/logs)

Prev Next
Get
/v2/logs

List log entries that took place during a specified time range.

Required authorizaton scope: 'api:logs:read'.

Query parameters
logType
stringRequired

Type of logs requested.

Valid values[ "AccessLog", "UserActivityLog", "UserCallPlay", "ExternallySharedCallAccess", "ExternallySharedCallPlay" ]
fromDateTime
stringRequired

The time from which to retrieve log records, in the ISO-8601 format (e.g., '2018-02-18T02:30:00-07:00' or '2018-02-18T08:00:00Z', where Z stands for UTC).

toDateTime
string

The time until which to retrieve log records, in the ISO-8601 format (e.g., '2018-02-18T02:30:00-07:00' or '2018-02-18T08:00:00Z', where Z stands for UTC); if not specified, the logs end with the latest recorded log.

cursor
string

When paging is needed, provide the value supplied by the previous API call to bring the following page of records.

ExampleeyJhbGciOiJIUzI1NiJ9.eyJjYWxsSWQiM1M30.6qKwpOcvnuweTZmFRzYdtjs_YwJphJU4QIwWFM
Responses
200

Successful response

Expand All
object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
records
object (Records)

Information about the number of records that match the requested filter.

totalRecords
integer (int32)

Total number of records.

Example263
currentPageSize
integer (int32)

Number of records in the current page.

Example100
currentPageNumber
integer (int32)

Current page number.

Example0
cursor
string

Returned only when there are more records to be retrieved. Repeat the API call and pass this cursor value in the request to retrieve the next page of records.

ExampleeyJhbGciOiJIUzI1NiJ9.eyJjYWxsSWQiM1M30.6qKwpOcvnuweTZmFRzYdtjs_YwJphJU4QIwWFM
logEntries
Array of object (logEntry)

A list, in which each item specifies one log.

object

A list, in which each item specifies one log.

userId
string

Gong's unique numeric identifier for the user (up to 20 digits), if available.

Example234599484848423
userEmailAddress
string

The email address of the user, if available.

Exampletest@test.com
userFullName
string

The full name of the user, if available.

ExampleJon Snow
impersonatorUserId
string

Gong's unique numeric identifier for the impersonating user (up to 20 digits), if available.

Example234599484848423
impersonatorEmailAddress
string

The email address of the impersonating user, if available.

Exampletest@test.com
impersonatorFullName
string

The full name of the impersonating user, if available.

ExampleJon Snow
impersonatorCompanyId
string

Gong's unique numeric identifier for the impersonating user's company id (up to 20 digits), if available.

Example234599484848423
eventTime
string

The time in the ISO-8601 format (e.g., '2018-02-18T02:30:00-07:00' or '2018-02-18T08:00:00Z', where Z stands for UTC); when log was created.

Example2018-02-17T02:30:00-08:00
logRecord
object

The list of log fields and associated values. This element will be populated dynamically by the log record, depending on the type of log.

property*
object additionalProperties

The list of log fields and associated values. This element will be populated dynamically by the log record, depending on the type of log.

400

Malformed request

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
401

Access denied

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
404

No logs found for the specified period

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
429

API request limit exceeded

Headers
Retry-After
integer
Number of seconds to wait before making a new request.
object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
500

Failed to complete the operation due to an unexpected error

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string